Bug 50763 - autopartitioning with >1GB RAM makes swap too small
autopartitioning with >1GB RAM makes swap too small
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-02 17:36 EDT by Matt Domsch
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-17 17:48:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2001-08-02 17:36:39 EDT
Description of Problem:
Autopartitioning tries to make a swap space that's 2x physical RAM in the 
system.  But, the BOOT kernel can only recognize up to ~880MB of RAM, thus 
autopartitioning makes a swap space of roughly 1.76GB.  If you have more 
than 880MB physical RAM, you then have a swap space that's too small based 
on 2.4.x kernel recommendations.

If >1GB RAM is in the system, and 2x swap is still recommended, then 
multiple swap partitions or swap files need to get created.

How Reproducible:

Steps to Reproduce:
1. autopartition with >=1GB RAM in the system

Actual Results:
swap space is ~1.8GB

Expected Results:
Swap space would be 2GB or more.

Additional Information:
Comment 1 Michael Fulbright 2001-08-03 11:50:38 EDT
We cap the swap space we make automatically because it gets absurd to have
16gig of swap on an 8 gig RAM machine, for example.  Our feeling is anyone with
that much RAM will configure the swap themselves since they're probably doing
more than your average desktop-style installation.  7.1 shipped with this cap
and we have not had any reports of problems.

Also the swap requirements of the latest 2.4 kernels are much more relaxed than
the one we shipped in 7.1.

If you like we can make a RFE for the next release to prompt a user if they have
ALOT of RAM and see how they want to autopartition swap for it.
Comment 2 Matt Domsch 2001-08-03 12:28:53 EDT
Agreed it gets absurd, but I hadn't heard that the kernel requirements had been 
relaxed.  RFE for next time would be fine in that case.
Comment 3 Brent Fox 2001-08-06 12:35:36 EDT
Ok.  Deferring until then.

Note You need to log in before you can comment on or make changes to this bug.